package com.mx.dla.dda.contrato.common.dtos;

import java.util.Date;

import com.mx.dla.admin.dtos.UsuarioDTO;
import com.mx.dla.global.dtos.BaseDTO;

public class JustificacionDTO extends BaseDTO {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4465423021982755285L;

	private Long idJustificacion;
	
	private Long idContrato;

	private UsuarioDTO usuario;
	
	private String justificacion;
	
	private Date fecha;

	public Long getIdJustificacion() {
		return idJustificacion;
	}

	public void setIdJustificacion(Long idJustificacion) {
		this.idJustificacion = idJustificacion;
	}

	public Long getIdContrato() {
		return idContrato;
	}

	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}

	public UsuarioDTO getUsuario() {
		return usuario;
	}

	public void setUsuario(UsuarioDTO usuario) {
		this.usuario = usuario;
	}

	public String getJustificacion() {
		return justificacion;
	}

	public void setJustificacion(String justificacion) {
		this.justificacion = justificacion;
	}

	public Date getFecha() {
		return fecha;
	}

	public void setFecha(Date fecha) {
		this.fecha = fecha;
	}

}
